Retrieve Meta-Transaction Nonce
Endpoint
Section titled “Endpoint”GET /nonceServer: https://api.openfish.fun
Authentication: None required
Query Parameters
Section titled “Query Parameters”| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
address | string | Yes | Ethereum address (^0x[a-fA-F0-9]{40}$) | 0x77837466dd64fb52ECD00C737F060d0ff5CCB575 |
type | string | No | Relay type: "PROXY" or "SAFE" (default: "PROXY") | PROXY |
Responses
Section titled “Responses”200 — Nonce returned
Section titled “200 — Nonce returned”{ "nonce": "31"}Note: The nonce is returned as a string for consistency with Polymarket’s API.
Schema (NonceResponse):
| Field | Type | Description |
|---|---|---|
nonce | integer | The current meta-transaction nonce. A value of 0 indicates no transactions have been submitted yet. |
400 — Bad Request
Section titled “400 — Bad Request”{ "error": "invalid address" }500 — Server Error
Section titled “500 — Server Error”{ "error": "Internal server error" }